# Return virtual host's php.ini content

This function returns the contents of a virtual host's php.ini file.

Note:

  This document only applies to systems that run EasyApache 4 with MultiPHP enabled.

Important:

  When you disable the WebServer role, the system disables this function.

Endpoint: GET /LangPHP/php_ini_get_user_content
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `type` (string, required)
    The type of php.ini file.

* home
* vhost

Important:

If you set this parameter to vhost, you must also include the vhost parameter.
    Example: "vhost"

  - `vhost` (string)
    The name of a virtual host.

Important:

 If the type value is vhost, you must use this parameter.
    Example: "clearly.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "php_ini_get_user_content"

  - `module` (string)
    The name of the module called.
    Example: "LangPHP"

  - `result` (object)

  - `result.data` (object)

  - `result.data.content` (string)
    The contents of the requested user's php.ini file.
    Example: "allow_url_fopen = On\\nallow_url_include = On\\nasp_tags = Off\\ndisplay_errors = On\\nenable_dl = Off\\nfile_uploads = On\\ninclude_path = &quot;.;/path/to/php/pear&quot;\\nmax_execution_time = 30\\nmax_input_time = 60\\nmax_input_vars = 1050\\nmemory_limit = 32M\\nupload_max_filesize = 2M"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


